slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetWorkVecs

Sets a number of work vectors into an EPS object.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetWorkVecs(EPS eps,PetscInt nw)

Collective

### Input Parameters

| eps | - eigensolver context
| nw | - number of work vectors to allocate

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin EPS implementations.

### See Also

EPSSetUp()

### Level

developer

### Location

src/eps/interface/epsdefault.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages